25 Replies Latest reply on Jun 17, 2016 10:16 AM by pinwip96084899

    E-ADEPT-REQUEST-EXPIRED

    PagiePooh

      What does this mean. I was able to download a book last week and now I get this error. Does it have anything to do with the latest Firefox version?


      Yep it was the computer date/time that was not correct. Once that was corrected everything worked perfectly.